#include <QApplication>
#include <QScreen>
#include <QWindow>
#include <QDesktopWidget>
#include <QThread>
#include <QTimer>
#include "testwindow.h"

int main(int argc, char *argv[])
{    
    QApplication a(argc, argv);
    QList<QScreen *> screens = a.screens();
    QList<TestWindow *> windows;
    for (int i = 0; i < screens.size(); ++i) {
        TestWindow *win = new TestWindow();
        win->setGeometry(screens[i]->geometry());
        win->SetString(screens[i]->name());
        win->winId();
        win->windowHandle()->setScreen(screens[i]);
        win->show();
        windows << win;
        qDebug() << screens[i]->geometry().width() << ", " << screens[i]->geometry().height();
    }

    int ret = a.exec();
    qDeleteAll(windows);
    return ret;
}
